extension MeetupId {
  final class Component: ObservableObject {
    var isJoinAvailable: BusUI.Value<Bool>
    var isLoading: BusUI.Value<Bool>
    var join: BusUI.Button
    var textField: BusUI.TextField

    deinit {
      /**/print("ИГР MeetupIC.deinit")
    }

    public init(_ id: String) {
      /**/print("ИГР MeetupIC.init")
      isJoinAvailable = .init(K.isJoinAvailable, false, id)
      isLoading = .init(K.isLoading, false, id)
      join = .init(K.join)
      textField = .init(K.textApp, K.textUI)
    }
  }
}

